--
-- Movesound Script for all Snowblades
-- Rumsound fr alle Schneschilder
-- @author  Alfamodding.com Team Speedy11
-- 
-- Ihr drft das Script verwenden wenn Name des Autors angegeben wird!!! 
-- free for use - if the author's name is given!
-- Modifizieren, Kopieren und weiterverbreiten des Scripts nur mit Zustimmung.
-- Modify, copy and redistribute the script only with the agreement.
-- 
-- Kopieren von codes und Geistigem Eigentuhm ist Strabar nach UrhG!!!
--
-- @author  Speedy11 (Alfamodding.com)
-- @date  27/12/12
--
-- Copyright (C) Alfamodding.com Confidential, All Rights Reserved.

movesound = {};

function movesound.prerequisitesPresent(specializations)
    return true;
end;

function movesound:load(xmlFile)

	self.moveSound = {};
	local name = "vehicle.moveSound";
    local soundFile = getXMLString(xmlFile, name.."#file");
	local sound = self.moveSound;
    if soundFile ~= nil and soundFile ~= "" then
        soundFile = Utils.getFilename(soundFile, self.baseDirectory);
        sound.file = createSample("moveSound");
        loadSample(sound.file, soundFile, false);
        sound.pitchOffset = Utils.getNoNil(getXMLFloat(xmlFile, name.."#pitchOffset"), 0);
        sound.volume = Utils.getNoNil(getXMLFloat(xmlFile, name.."#volume"), 1.0);
        sound.enabled = false;
    end;
end;

function movesound:delete()

end;

function movesound:mouseEvent(posX, posY, isDown, isUp, button)
end;

function movesound:keyEvent(unicode, sym, modifier, isDown)

	if isDown and sym == Input.KEY_v then
            self.down = not self.down;
	end;
end;

function movesound:onAttach()
     self.down =false;
end;

function movesound:update(dt)



	if self.lastSpeed*3600 > 8 and self.down and self.moveSound.file ~= nil then
		if not self.moveSound.enabled then
			playSample(self.moveSound.file, 0, self.moveSound.volume, 0);
			setSamplePitch(self.moveSound.file, self.moveSound.pitchOffset);
			self.moveSound.enabled = true;
		end;
	else
		if self.moveSound.enabled then
			stopSample(self.moveSound.file);
			self.moveSound.enabled = false;
		end;
	end;

end;

function movesound:draw()
end;